import { mapGetters } from 'vuex'
import auth from '@/utils/auth'

export default {
  provide() {
    return {
      loginCheck: this.loginStatusCheck
    }
  },
  computed: {
    ...mapGetters(['currentUser'])
  },
  methods: {
    hasLoginToken() {
      return !!auth.getToken()
    },
    loginStatusCheck() {
      // 首页统一注入登陆检测方法，未登陆时直接跳至登陆框
      if (this.hasLoginToken()) {
        return Promise.resolve(true)
      }
      this.$refs.loginForm?.$el?.scrollIntoView({ behavior: 'smooth' })
      this.$message.error('请先登陆！')
      return Promise.reject(false)
    }
  }
}
